---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.2
alternate:
  - https://sourcecraft.dev/portal/docs/en/api-ref/Organization/GetOrganizationNeurocreditsUsageByID.md
  - https://sourcecraft.dev/portal/docs/ru/api-ref/Organization/GetOrganizationNeurocreditsUsageByID.md
  - href: en/api-ref/Organization/GetOrganizationNeurocreditsUsageByID.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://sourcecraft.dev/portal/docs/en/llms.txt

<div class="openapi">

# Get Organization Neurocredits Usage (By ID)

<!-- markdownlint-disable-file -->

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-get);margin-bottom: 12px">

<div class="openapi__request">

GET {.openapi__method}
```text translate=no
https://api.sourcecraft.tech/orgs/id:{org_id}/stats/neurocredits
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_org_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

### Query parameters

#|
|| **Name** | **Description** ||
||

_start_date_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Start date in YYYY-MM-DD format

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_end_date_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

End date in YYYY-MM-DD format. Defaults to today.

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_page_size_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;uint64&gt;

The maximum number of items to return. The service may return fewer than
this value

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_page_token_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

A page token, received from a previous call.
Provide this to retrieve the subsequent page.

When paginating, all other parameters must match
the call that provided the page token.

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

## Responses

<div class="openapi__response__code__200">

## 200 OK

A successful response.

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "entries": [
    {
      "user": {
        "id": "example",
        "slug": "example"
      },
      "date": "example",
      "model": "example",
      "product": "vscode_plugin",
      "neurocredits": 0.5
    }
  ],
  "next_page_token": "example"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_entries_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [NeurocreditsUsageEntry](#entity-NeurocreditsUsageEntry)[]

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "user": {
      "id": "example",
      "slug": "example"
    },
    "date": "example",
    "model": "example",
    "product": "vscode_plugin",
    "neurocredits": 0.5
  }
]
```

{% endcut %}
{.table-cell}
||
||

_next_page_token_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### UserEmbedded {#entity-UserEmbedded}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### AIProduct {#entity-AIProduct}

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `vscode_plugin`, `jb_plugin`, `cli`, `neuro_features`, `sourcecraft_web_chat`

</div>

<div class="openapi-entity">

### NeurocreditsUsageEntry {#entity-NeurocreditsUsageEntry}

#|
|| **Name** | **Description** ||
||

_date_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_model_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_neurocredits_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: number
{.table-cell}
||
||

_product_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [AIProduct](#entity-AIProduct)

_Enum:_{.json-schema-reset .json-schema-value} `vscode_plugin`, `jb_plugin`, `cli`, `neuro_features`, `sourcecraft_web_chat`
{.table-cell}
||
||

_user_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [UserEmbedded](#entity-UserEmbedded)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example"
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "user": {
    "id": "example",
    "slug": "example"
  },
  "date": "example",
  "model": "example",
  "product": "vscode_plugin",
  "neurocredits": 0.5
}
```

{% endcut %}

</div>

</div>

<div class="openapi__response__code__default">

## default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": null
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_details_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: unknown

_Example:_{.json-schema-reset .json-schema-example} `null`
{.table-cell}
||
||

_error_code_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_message_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_request_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.